<?php # $Id: serendipity_event_markupcomment.php,v 0.1 2009/2/01 09:00:44 maltepaskuda Exp $

if (IN_serendipity !== true) {
    die ("Don't hack!");
}

// Probe for a language include with constants. Still include defines later on, if some constants were missing
$probelang = dirname(__FILE__) . '/' . $serendipity['charset'] . 'lang_' . $serendipity['lang'] . '.inc.php';
if (file_exists($probelang)) {
    include $probelang;
}

include dirname(__FILE__) . '/lang_en.inc.php';

class serendipity_event_markupcomment extends serendipity_event {
    var $title = COMMENT_MARKUP_TITLE;
    
    function introspect(&$propbag)
    {
        global $serendipity;
        
        $propbag->add('name',          COMMENT_MARKUP_TITLE);
        $propbag->add('description',   COMMENT_MARKUP_DESC);
        $propbag->add('stackable',     false);
        $propbag->add('author', 'Malte Paskuda');
        $propbag->add('requirements',  array(
            'serendipity' => '0.7',
        ));
        $propbag->add('version', '0.1');
        $propbag->add('event_hooks', array('frontend_header' => true,
                                           'external_plugin'  => true
                                           ));
        $propbag->add('groups', array('FRONTEND_VIEWS'));
        $this->dependencies = array('serendipity_event_jquery' => 'remove',
                                    'serendipity_event_s9ymarkup' => 'keep'); 
    }

    function generate_content(&$title) {
        $title = $this->title;
    }

    function event_hook($event, &$bag, &$eventData, $addData = null) {
        global $serendipity;
        $hooks = &$bag->get('event_hooks');

        if (isset($hooks[$event])) {
            switch($event) {
                case 'external_plugin':
                    switch($eventData) {
                        case 'commentMarkup.listen.js':
                            header('Content-Type: text/javascript');
                            echo file_get_contents(dirname(__FILE__). '/commentMarkup.listen.js');
                            break;
                        case 'commentMarkup.fieldselection.js':
                            header('Content-Type: text/javascript');
                            echo file_get_contents(dirname(__FILE__). '/commentMarkup.fieldselection.js');
                            break;
                        case 'commentMarkup.js':
                            header('Content-Type: text/javascript');
                            echo file_get_contents(dirname(__FILE__). '/commentMarkup.js');
                            break;
                        }
                    break;
                
                case 'frontend_header':
                    echo '<script type="text/javascript" src="' . $serendipity['baseURL'] . 'index.php?/plugin/commentMarkup.listen.js"></script>'. "\n";
                    echo '<script type="text/javascript" src="' . $serendipity['baseURL'] . 'index.php?/plugin/commentMarkup.fieldselection.js"></script>'. "\n";
                    echo '<script type="text/javascript" src="' . $serendipity['baseURL'] . 'index.php?/plugin/commentMarkup.js"></script>'. "\n";
                    break;

                    return true;
                
                default:
                    return false;
                    break;
            }
        } else {
            return false;
        }
    }
}
?>
